const baseOpts = {
    qrCodeBaseUrl: "https://map.abuzz.tech/amap/map.php?site=karingal_",
    siteBaseUrl: "/",
    mediaBaseUrl: "/cache",
    labelFontUrl: "assets/fonts/Circular_Pro_Book.json",
    amapBaseUrl: "/app/amap/",

    defaultViewsByNodeId: {
        "_21438_46853_1780": { camera: [19931, 20747, 46697], scene: [19904, 52195, 2939] }, // Default
		
		"_21438_47848_1780": { camera: [19931, 20747, 46697], scene: [19904, 52195, 2939] }, // KaringalHub_WF-G01
		"_11396_49521_1780": { camera: [-15137, 52760, 43872], scene: [19904, 52195, 2939] }, // KaringalHub_WF-G02
		"_19708_62378_1780": { camera: [24157, 86923, 45882], scene: [24185, 54370, 2939] }, // KaringalHub_WF-G03
		"_28569_65360_1780": { camera: [-15137, 52760, 43872], scene: [19904, 52195, 2939] } // KaringalHub_WF-G04		
		
		},
		
    startNodeModel: {
        file: "app/assets/YOUAREHERE.obj",
        scale: [4, 4, 6],
        animate: false,
        animRotation: [0, 0, 5],
        neutralRotation: true
    },

    // poiPinPointModel: {
    //     file: "app/assets/XXXX.obj",
    //     scale: [2, 2, 2],
    //     neutralRotation: true
    // },

    // ssTopBanner: {
    //     link: "/../app/assets/images/ss-top-banner.png",
    //     type: "IMAGE"
    // },

    insideAreaDelta: 300,
    useFlyAnimation: false,
    pathAutoAnimate: true,
    pathAutoAnimateDelay: 0, // secs
    pathDirToPartAnimDelay: 1, // secs
    controlsRotate: true,
    controlsPan: true,
    controlsZoom: true,
    labelsHorizontal: false,

    zoneButtonUseLongName: false,
	multiFloorTransition: true,
    multiFloorTransitionInclineAngle: 75,
    heightSpread: 22000, // cm
    pathFullView: {
        camera: [17047, 108310, 51649],
        scene: [17463, 70736, 2942]
    },

    useTopCategories: false,
    searchByCellId: true,
    qrDarkColor: "#53565A",
    maxPOIsResults: 300,

    clockDateFormat: "ddd, D MMMM",
    clockTimeFormat: "hh:mm A",
    weatherCity: "Frankston East, AU"
};

const customMainServicesCodes = ["toilets", "toilets_disabled", "babies", "atm_"];
const servicesWithResultsList = ["atm_", "security"];
const servicesWithResultsListSortField = "cellId";